HEAD(1)

NAME
head - display first lines of a file

SYNOPSIS
head [-chqv] [-n count] [FILE1]... [FILE2]...

DESCRIPTION
head displays the first count lines of each of the specified files, or of the standard input if no files are specified or file is specified as '-'.

-c  count bytes instead of lines.

-h  print a terse usage statement and exit.

-n  count n number of lines (or bytes if -c is specified). Defaults to 10.

-q  disable printing a header, even if -v is specified or more than on FILE.

-v  each file is preceded by a header consisting of the string “==> XXX ==” where “XXX” is the name of the file.

EXIT STATUS

AUTHOR
Written by the JeanG3nie for HitchHiker Linux.

SEE ALSO
tail(1)

HISTORY
The head utility appeared in 3.0BSD. It was rewitten and enhanced to include the -c, -q, and -v options for HitchHiker Linux.

STANDARDS
The head utility is compliant with the IEEE Std 1003.1-2017 standard.